#include <PixelPlus.h>

PixelPlus pixel ;

void
setup()
{
  pixel.init() ;
  pixel.backLight(1) ;
  pixel.clear(255,255,255) ;
 
  pixel.setCursor(0,2) ;
  pixel.setTextColor(255,0,0) ;
  pixel.println("MicroFan PIXEL-PLUS") ;
  pixel.setTextColor(0,255,0) ;
  pixel.println("Arduino Mini Shield") ;
  pixel.setTextColor(0,0,255) ;
  pixel.println("Color TFT 128x128") ;
  pixel.setTextColor(255, 0, 255) ;
  pixel.println("SW X 4") ;
  pixel.setTextColor(255,255,0) ;
  pixel.println("LED X 1") ;
  pixel.setTextColor(0, 255,255) ;
  pixel.println("Piezoelectric Speaker") ;
  
  for (int i = 0 ; i < 128; i++) {
    pixel.drawLine(i, 80, i, 127, (i&0x60)<<1, (i & 0x18) <<3, (i&0x07)<<5) ;
  }
  pixel.drawLine(0, 80, 127, 127, 0) ;
  pixel.drawLine(127, 80, 0, 127, 0) ;
}

void
loop()
{
  pixel.beep(pixel.sw1()) ;

  if (pixel.sw3())
    pixel.backLight(1) ;
    
  if (pixel.sw4())
    pixel.backLight(0) ;
    
  delay(100) ;
}
